package adhoc.successive.com.flutteralertdemo

import android.app.Activity
import android.app.Dialog
import android.os.Build
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.MethodChannel.MethodCallHandler
import io.flutter.plugin.common.PluginRegistry.Registrar

/** FlutterAlertDemoPlugin  */
class FlutterAlertDemoPlugin(
        /** Plugin registration.  */
        var context: Activity, var methodChannel: MethodChannel) : MethodCallHandler {
    override fun onMethodCall(call: MethodCall, result: MethodChannel.Result) {
        if (call.method == "getPlatformVersion") {
            result.success("Android " + Build.VERSION.RELEASE)
        } else if (call.method.equals("showAlertDialog", ignoreCase = true)) {
            val title = call.argument<String>("title") //
            val message = call.argument<String>("message") //
            val dialog = Dialog(context)
            dialog.setTitle(message)
            dialog.show()
        } else {
            result.notImplemented()
        }
    }

    companion object {
        fun registerWith(registrar: Registrar) {
            val channel = MethodChannel(registrar.messenger(), "flutter_alert_demo")
            channel.setMethodCallHandler(FlutterAlertDemoPlugin(registrar.activity(), channel))
        }
    }

    init {
        methodChannel.setMethodCallHandler(this)
    }
}