import Flutter
import UIKit

public class SwiftFlutterPlugin: NSObject, Flutter.FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flutter_plugin", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    if (call.method == "getPlatformVersion") {
               result("iOS " + UIDevice.current.systemVersion)
           }
           else if (call.method == "showAlertDialog") {
               DispatchQueue.main.async {
                var message = ""
                var title = ""
                if let args = call.arguments as? [String:Any] , let t = args["title"] as? String, let m = args["message"] as? String {
                    message = m
                    title = t
                }
                let alert = UIAlertController(title: title, message: message, preferredStyle: .alert);
                alert.addAction(UIAlertAction(title: "OK", style: UIAlertAction.Style.default, handler: nil))
                   UIApplication.shared.keyWindow?.rootViewController?.present(alert, animated: true, completion: nil);
               }
  }
}
}



